# The floppy formatting utility

This utility program low-level formats floppy disks. This utility is capable of formatting floppies in LS-120 "Superdisk" ATAPI IDE drives, in addition to the standard floppy controller drives. At this time, LS-120 support requires a patch to the Linux kernel:

The patch file `linux-2.4.0.patch.txt` is for kernel 2.4.0.

The patch file `linux-2.4.0-0.96.patch.txt` is for the 0.96 version of ide-floppy.c

The patch file `linux-2.4.7.patch.txt` is for kernel 2.4.7.

The patch file `linux-2.4.7-ac3.patch.txt` is for kernel 2.4.7-ac3.

The patch file `linux-2.2.16.patch.txt` is for kernel 2.2.16 (and 2.2.17, probably).

Please don't ask me how to apply kernel patches. If you know how to build and compile the Linux kernel, you know how to apply kernel patches.

The floppy utility can still be used without applying these patches. You'll just get a jazzed-up version of fdformat.

WARNING: Do not attempt to format 120 mb super-floppies. There's nothing in the floppy utility that blocks any attempt to issue a request to format a disk, if the floppy drive claims it can do so. Some LS-120 drives claim to be able to format 120 mb super-floppies, even though these disk are factory-formatted, AND CANNOT be user-formatted. An attempt to do so will permanently destroy the superfloppy disk.

## Compiling

To compile this floppy utility you need to install the libpopt library. It is a small library used to parse command line arguments. It is included in most Linux distributions by default. If you don't have it, grab it from `ftp://ftp.redhat.com/pub/redhat/code/popt` and install it.

You will also need to have the GTK toolkit installed in order to compile the GTK front end to the floppy utility. Without the GTK toolkit only the command-line utility will be compiled and installed.

Compiling the floppy utility is straightforward:

    ./configure
    make
    make install (if you care, you can simply run it from the current directory
    too).

That's it. By default, floppy will install in `/usr/local/bin`, and use `/usr/local/etc/floppy` as its configuration file. The configure script accepts the usual options:

- `--prefix=/usr` -- installs `/usr/bin/floppy`, and uses `/usr/etc/floppy`
- `--sysconfdir=/etc` -- use `/etc/floppy` as the configuration file

Therefore:

`--prefix=/usr --sysconfdir=/etc`

This configuration installs `/usr/bin/floppy`, and uses `/etc/floppy` as its configuration file.

The floppy utility can also be built by RPM:

`rpm -ta floppy-0.12.tar.gz`

Please see the installed manual page for instructions on using the floppy utility.